# std::bad_alloc Class Reference

Exception possibly thrown by `new`. More...

Inheritance diagram for std::bad_alloc:

[legend]
Collaboration diagram for std::bad_alloc:

[legend]
List of all members.

## Public Member Functions

virtual const char * | what () const throw ()

## Detailed Description

Exception possibly thrown by `new`.

`bad_alloc` (or classes derived from it) is used to report allocation errors from the throwing forms of `new`.

Definition at line 53 of file new.

## Member Function Documentation

virtual const char* std::exception::what | ( |  | ) | const throw ()`[virtual, inherited]`

| Returns a C-style character string describing the general cause of the current error. Reimplemented in std::ios_base::failure, std::logic_error, and std::runtime_error.

The documentation for this class was generated from the following file:

- new